Bug 1123789 - On Entry/Exit action script is not executed in multi-instance sub process
Summary: On Entry/Exit action script is not executed in multi-instance sub process
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Core
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER1
: ---
Assignee: Maciej Swiderski
QA Contact: Marek Baluch
URL:
Whiteboard:
Depends On:
Blocks: 1115481
TreeView+ depends on / blocked
 
Reported: 2014-07-28 09:17 UTC by Anton Giertli
Modified: 2018-12-06 17:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fixed Issue Summary: On Entry/Exit action scripts were not successfully executed in a multiple instance subprocess due to an issue with the way the SubProcessHandler dealt with On Entry and On Exit scripts. This has been fixed and added to 6.0.3.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
[0] git repository (329.65 KB, application/zip)
2014-07-28 09:17 UTC, Anton Giertli
no flags Details
[0] git repository (226.40 KB, application/zip)
2014-07-29 10:56 UTC, Anton Giertli
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1123855 None None None Never

Internal Links: 1123855

Description Anton Giertli 2014-07-28 09:17:11 UTC
Created attachment 921737 [details]
[0] git repository

Description of problem:

On Entry/Exit action script is not executed in multi-instance sub process

Version-Release number of selected component (if applicable):
bpm 6.0.2

How reproducible:

always
Steps to Reproduce:
1. You can either create any valid process definition which includes multi-instance sub process and set on entry/exit actions scripts OR you can use my attached git repository.

2. import the repository into the business-central
3. build the project
4. execute the Parent process
5. You should see the following output:

1 On Entry Actions in multi-instance sub process
2 re-usable sub process in the multi-instance sub process was invoked
3 re-usable sub process in the multi-instance sub process was invoked
4 On Exit Actions in multi-instance sub process

However, only lines 2/3 are printed.



Actual results:
On Entry / Exit action script is not executed in multi-instance sub process

Expected results:
On Entry / Exit action script is executed in multi-instance sub process

Additional info:

Tested only in business-central, not outside.

Comment 2 Anton Giertli 2014-07-29 10:56:05 UTC
Created attachment 922103 [details]
[0] git repository

ParentMulti includes multi-instance process.
When build, execute "InvoiceProcessing"

Comment 5 Maciej Swiderski 2014-08-01 17:43:05 UTC
fixed on master

jbpm
master:
https://github.com/droolsjbpm/jbpm/commit/0da5f159460954d9dd97b50b32ee0fef89c613c7

if needed to be back ported please assign it back to me

Comment 13 Marek Baluch 2014-08-25 12:45:41 UTC
Verified on 6.0.3.ER1


Note You need to log in before you can comment on or make changes to this bug.